package com.chinaitop.depot.intelligent.fumigation.mapper;

import com.chinaitop.depot.intelligent.fumigation.model.TFumigationPesticide;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationPesticideExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TFumigationPesticideMapper {
    int countByExample(TFumigationPesticideExample example);

    int deleteByExample(TFumigationPesticideExample example);

    int deleteByPrimaryKey(String id);

    int insert(TFumigationPesticide record);

    int insertSelective(TFumigationPesticide record);

    List<TFumigationPesticide> selectByExample(TFumigationPesticideExample example);

    TFumigationPesticide selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TFumigationPesticide record, @Param("example") TFumigationPesticideExample example);

    int updateByExample(@Param("record") TFumigationPesticide record, @Param("example") TFumigationPesticideExample example);

    int updateByPrimaryKeySelective(TFumigationPesticide record);

    int updateByPrimaryKey(TFumigationPesticide record);

    List<Map<String,Object>> getPesticidePlanList(Map<String, Object> map);
    List<Map<String,Object>> getPesticidePlanLists(Map<String, Object> map);
}